Package com.sun.jna

# Class Library.Handler

java.lang.Object
com.sun.jna.Library.Handler

All Implemented Interfaces:
  `InvocationHandler`

Enclosing interface:
  Library

public static class Library.Handler extends Object implements InvocationHandler

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) static final Method`
  `OBJECT_EQUALS`
  `(package private) static final Method`
  `OBJECT_HASHCODE`
  `(package private) static final Method`
  `OBJECT_TOSTRING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Handler(String libname, Class<?> interfaceClass, Map<String,?> options)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `getInterfaceClass()`
  `String`
  `getLibraryName()`
  `NativeLibrary`
  `getNativeLibrary()`
  `Object`
  `invoke(Object proxy, Method method, Object[] inArgs)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OBJECT_TOSTRING

    static final Method OBJECT_TOSTRING

  - ### OBJECT_HASHCODE

    static final Method OBJECT_HASHCODE

  - ### OBJECT_EQUALS

    static final Method OBJECT_EQUALS

- ## Constructor Details

  - ### Handler

    public Handler(String libname, Class<?> interfaceClass, Map<String,?> options)

- ## Method Details

  - ### getNativeLibrary

    public NativeLibrary getNativeLibrary()

  - ### getLibraryName

    public String getLibraryName()

  - ### getInterfaceClass

    public Class<?> getInterfaceClass()

  - ### invoke

    public Object invoke(Object proxy, Method method, Object[] inArgs) throws Throwable
    Specified by:
      `invoke` in interface `InvocationHandler`
    Throws:
      `Throwable`